<< shiftdata | FOSSEE_Signal_Processing_Toolbox | sinetone >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > sigmoid_train

# sigmoid_train

Evaluate a train of sigmoid functions at T.

### Syntax

    y = sigmoid_train(t, ranges, rc)

### Parameters

t:

  integer

ranges:

  matrix

rc:

  timeconstant

### Description

The number and duration of each sigmoid is determined from RANGES. Each row of RANGES represents a real interval, e.g. if sigmoid 'i' starts at 't=0.1' and ends at 't=0.5', then 'RANGES(i,:) = [0.1 0.5]'. The input RC is an array that defines the rising and falling time constants of each sigmoid. Its size must equal the size of RANGES.

### Examples

    sigmoid_train(0.1,[1:3],4)

Report an issue
<< shiftdata | FOSSEE_Signal_Processing_Toolbox | sinetone >>